Index: c/src/lib/libbsp/powerpc/mpc55xxevb/include/mpc55xx-config.h
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/include/mpc55xx-config.h	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/include/mpc55xx-config.h	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (c) 2008-2011 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2008-2012 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -44,15 +44,21 @@
 } mpc55xx_siu_pcr_config;
 
-extern const mpc55xx_siu_pcr_config mpc55xx_start_config_siu_pcr [];
+extern BSP_START_DATA_SECTION const mpc55xx_siu_pcr_config
+  mpc55xx_start_config_siu_pcr [];
 
-extern const size_t mpc55xx_start_config_siu_pcr_count [];
+extern BSP_START_DATA_SECTION const size_t
+  mpc55xx_start_config_siu_pcr_count [];
 
-extern const struct MMU_tag mpc55xx_start_config_mmu_early [];
+extern BSP_START_DATA_SECTION const struct
+  MMU_tag mpc55xx_start_config_mmu_early [];
 
-extern const size_t mpc55xx_start_config_mmu_early_count [];
+extern BSP_START_DATA_SECTION const size_t
+  mpc55xx_start_config_mmu_early_count [];
 
-extern const struct MMU_tag mpc55xx_start_config_mmu [];
+extern BSP_START_DATA_SECTION const struct
+  MMU_tag mpc55xx_start_config_mmu [];
 
-extern const size_t mpc55xx_start_config_mmu_count [];
+extern BSP_START_DATA_SECTION const size_t
+  mpc55xx_start_config_mmu_count [];
 
 #ifdef MPC55XX_HAS_FMPLL
@@ -84,14 +90,19 @@
 #endif
 
-extern const mpc55xx_clock_config mpc55xx_start_config_clock [];
+extern BSP_START_DATA_SECTION const mpc55xx_clock_config
+  mpc55xx_start_config_clock [];
 
 #ifdef MPC55XX_HAS_EBI
-  extern const struct EBI_CS_tag mpc55xx_start_config_ebi_cs [];
+  extern BSP_START_DATA_SECTION const struct
+    EBI_CS_tag mpc55xx_start_config_ebi_cs [];
 
-  extern const size_t mpc55xx_start_config_ebi_cs_count [];
+  extern BSP_START_DATA_SECTION const size_t
+    mpc55xx_start_config_ebi_cs_count [];
 
-  extern const struct EBI_CAL_CS_tag mpc55xx_start_config_ebi_cal_cs [];
+  extern BSP_START_DATA_SECTION const struct EBI_CAL_CS_tag
+    mpc55xx_start_config_ebi_cal_cs [];
 
-  extern const size_t mpc55xx_start_config_ebi_cal_cs_count [];
+  extern BSP_START_DATA_SECTION const size_t
+    mpc55xx_start_config_ebi_cal_cs_count [];
 #endif
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-clock.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-clock.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-clock.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (c) 2008-2011 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2008-2012 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -23,6 +23,5 @@
 #include <bsp/mpc55xx-config.h>
 
-BSP_START_TEXT_SECTION const mpc55xx_clock_config
-  mpc55xx_start_config_clock [1] = { {
+const mpc55xx_clock_config mpc55xx_start_config_clock [1] = { {
   #ifdef MPC55XX_HAS_FMPLL
     .syncr_tmp = {
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs-cal.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs-cal.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs-cal.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (c) 2008-2011 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2008-2012 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -22,11 +22,8 @@
 
 #include <bsp/mpc55xx-config.h>
-#include <bsp/start.h>
-#include <bsp.h>
 
 #ifdef MPC55XX_HAS_EBI
 
-BSP_START_TEXT_SECTION const struct EBI_CAL_CS_tag
-  mpc55xx_start_config_ebi_cal_cs [] = {
+const struct EBI_CAL_CS_tag mpc55xx_start_config_ebi_cal_cs [] = {
 #if defined(MPC55XX_BOARD_MPC5674FEVB)
   /* External SRAM */
@@ -176,5 +173,5 @@
 };
 
-BSP_START_TEXT_SECTION const size_t mpc55xx_start_config_ebi_cal_cs_count [] = {
+const size_t mpc55xx_start_config_ebi_cal_cs_count [] = {
   sizeof(mpc55xx_start_config_ebi_cal_cs) / sizeof(mpc55xx_start_config_ebi_cal_cs [0])
 };
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-ebi-cs.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -8,5 +8,5 @@
 
 /*
- * Copyright (c) 2008-2011 embedded brains GmbH.  All rights reserved.
+ * Copyright (c) 2008-2012 embedded brains GmbH.  All rights reserved.
  *
  *  embedded brains GmbH
@@ -22,11 +22,8 @@
 
 #include <bsp/mpc55xx-config.h>
-#include <bsp/start.h>
-#include <bsp.h>
 
 #ifdef MPC55XX_HAS_EBI
 
-BSP_START_TEXT_SECTION const struct EBI_CS_tag
-  mpc55xx_start_config_ebi_cs [] = {
+const struct EBI_CS_tag mpc55xx_start_config_ebi_cs [] = {
 #if defined(MPC55XX_BOARD_GWLCFM)
 	/* CS0: External SRAM (16 bit, 1 wait states, 512kB, no burst) */
@@ -161,5 +158,5 @@
 };
 
-BSP_START_TEXT_SECTION const size_t mpc55xx_start_config_ebi_cs_count [] = {
+const size_t mpc55xx_start_config_ebi_cs_count [] = {
   sizeof(mpc55xx_start_config_ebi_cs) / sizeof(mpc55xx_start_config_ebi_cs [0])
 };
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu-early.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu-early.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu-early.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -21,9 +21,7 @@
  */
 
-#include <bsp/start.h>
 #include <bsp/mpc55xx-config.h>
 
-BSP_START_TEXT_SECTION const struct MMU_tag
-  mpc55xx_start_config_mmu_early [] = {
+const struct MMU_tag mpc55xx_start_config_mmu_early [] = {
 #if defined(MPC55XX_BOARD_MPC5674F_ECU508) \
   && !defined(MPC55XX_NEEDS_LOW_LEVEL_INIT)
@@ -52,5 +50,5 @@
 };
 
-BSP_START_TEXT_SECTION const size_t mpc55xx_start_config_mmu_early_count [] = {
+const size_t mpc55xx_start_config_mmu_early_count [] = {
   sizeof(mpc55xx_start_config_mmu_early)
     / sizeof(mpc55xx_start_config_mmu_early [0])
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-mmu.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -21,10 +21,7 @@
  */
 
-#include <bsp.h>
-#include <bsp/start.h>
 #include <bsp/mpc55xx-config.h>
 
-BSP_START_TEXT_SECTION const struct MMU_tag
-  mpc55xx_start_config_mmu [] = {
+const struct MMU_tag mpc55xx_start_config_mmu [] = {
 #if defined(MPC55XX_BOARD_GWLCFM)
   /* External Ethernet Controller 64k */
@@ -121,5 +118,5 @@
 };
 
-BSP_START_TEXT_SECTION const size_t mpc55xx_start_config_mmu_count [] = {
+const size_t mpc55xx_start_config_mmu_count [] = {
   sizeof(mpc55xx_start_config_mmu) / sizeof(mpc55xx_start_config_mmu [0])
 };
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-siu-pcr.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-siu-pcr.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-config-siu-pcr.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -22,9 +22,6 @@
 
 #include <bsp/mpc55xx-config.h>
-#include <bsp/start.h>
-#include <bsp.h>
 
-BSP_START_TEXT_SECTION const mpc55xx_siu_pcr_config
-  mpc55xx_start_config_siu_pcr [] = {
+const mpc55xx_siu_pcr_config mpc55xx_start_config_siu_pcr [] = {
 #if defined(MPC55XX_BOARD_GWLCFM)
   {  0,16, 0, {.B.PA = 1,           .B.WPE = 0}}, /* PA[ 0..15] analog input */
@@ -134,5 +131,5 @@
 };
 
-BSP_START_TEXT_SECTION const size_t mpc55xx_start_config_siu_pcr_count [] = {
+const size_t mpc55xx_start_config_siu_pcr_count [] = {
   sizeof(mpc55xx_start_config_siu_pcr) / sizeof(mpc55xx_start_config_siu_pcr [0])
 };
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-early.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-early.c	(revision bd75e589e1f50a9ebcd6afc6e9020522ddd7d131)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/startup/start-early.c	(revision 2d561b9cdf98d13e923dfae8531229ce4b20554a)
@@ -21,6 +21,4 @@
  */
 
-#include <bsp.h>
-#include <bsp/start.h>
 #include <bsp/mpc55xx-config.h>
 #include <bsp/linker-symbols.h>
